Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gff
Class GenbankToGffFasta

    java.lang.Object
      gff.GenbankToGffFasta

    public class GenbankToGffFasta

extends Object

Converts a Genbank file into a fasta file for the sequence and a GFF file for the features.

This program demonstrates how to read in a Genbank file, how to write a fasta file and how to write GFF.

Use:
`java GenbankToGffFasta genbankFile fastaOut gffOut`

Based heavily off of EmblToGffFasta by Matthew Pocock. It was pretty much a global replace of 'embl' with 'genbank'.

Author:
  Greg Cox

Constructor Summary
`GenbankToGffFasta()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenbankToGffFasta

    public GenbankToGffFasta()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD